/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package org.steinko.apigateway;


import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.junit.jupiter.MockitoExtension;
import com.amazonaws.services.lambda.runtime.Context;
import com.amazonaws.services.lambda.runtime.events.APIGatewayProxyRequestEvent;
import static org.junit.jupiter.api.Assertions.assertEquals;


@ExtendWith(MockitoExtension.class)
public class HandlerTest {
    
    
    APIGatewayRequest apiGatewayRequest = new APIGatewayRequest("GET");
    
    @Mock
    Context context;
    
    @InjectMocks
    Handler handler;
    
    
    @Test
    public void testHandleRequest() {
        
        APIGatewayResponse response =    handler.handleRequest(apiGatewayRequest, context);
        
        assertEquals(response.body(),"Hello World");
    
    }

}
